aboutsummaryrefslogtreecommitdiffstats
path: root/main/ncurses/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-20 13:01:09 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-20 13:02:19 +0000
commit2702db2a9ba4bb1f2ef819ae61c791477748784f (patch)
treedc7fdfaec5296561ff80bbd973d9470b4d641cd4 /main/ncurses/APKBUILD
parent5d990086ddb19bc28eb4a2d43c65f2d1bcdd739d (diff)
downloadaports-2702db2a9ba4bb1f2ef819ae61c791477748784f.tar.gz
aports-2702db2a9ba4bb1f2ef819ae61c791477748784f.tar.bz2
aports-2702db2a9ba4bb1f2ef819ae61c791477748784f.tar.xz
main/[various]: simple build fixes against musl (update_config_sub)
Diffstat (limited to 'main/ncurses/APKBUILD')
-rw-r--r--main/ncurses/APKBUILD5
1 files changed, 5 insertions, 0 deletions
diff --git a/main/ncurses/APKBUILD b/main/ncurses/APKBUILD
index 341212dc30..fc599b8fc8 100644
--- a/main/ncurses/APKBUILD
+++ b/main/ncurses/APKBUILD
@@ -11,6 +11,11 @@ source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-base $pkgname-terminfo
$pkgname-widec-libs:widec $pkgname-libs"
+prepare() {
+ cd "$srcdir/$pkgname-$pkgver"
+ update_config_sub || return 1
+}
+
build() {
local _confopts="
--build=$CBUILD